from buildutils import download_and_check, make, configure;
from package import Package;

import utils;

class AutoConf(Package):
  def full_name (self):
    return "autoconf-2.63"

  def download (self):
    download_and_check ("ftp://ftp.cs.tu-berlin.de/pub/gnu/autoconf/autoconf-2.63.tar.bz2", "7565809ed801bb5726da0631ceab3699")

  def extract (self):
    self.clear_and_unpack ("autoconf-2.63.tar.bz2", "autoconf-2.63")

  def patch (self):
    print "patch"

  def compile (self):
    configure ([ "sh", "configure", "--prefix=" + self.config.PREFIX.msys(),
                       "PERL=/usr/bin/perl" ], "autoconf-2.63")
    make ([ "make" ], "autoconf-2.63")

  def dist_image (self):
    self.dist_image_with_make_install ("autoconf-2.63")
           
  def install (self):
    self.install_with_dist_image()

import packages.mingw.msysperl

deps = packages.mingw.msysperl.packages()

def packages():
  return deps + [ AutoConf() ]
