from package import Package
import utils
from buildutils import download_and_check, configure, make, apply_patch

class GtkDoc(Package):
  def full_name (self):
    return "gtk-doc-1.11"

  def download (self):
    download_and_check ("http://ftp.gnome.org/pub/GNOME/sources/gtk-doc/1.11/gtk-doc-1.11.tar.bz2", "b5e268c71fa90aad890cf53715664d0a")

  def extract (self):
    self.clear_and_unpack ("gtk-doc-1.11.tar.bz2", "gtk-doc-1.11")

  def patch (self):
    apply_patch ("gtk-doc-1.11.diff", "gtk-doc-1.11", 0)

  def compile (self):
    configure ([ "sh", "aclocal" ], "gtk-doc-1.11")
    configure ([ "sh", "automake" ], "gtk-doc-1.11")
    configure ([ "sh", "autoconf" ], "gtk-doc-1.11")
    configure ([ "sh", "configure", "--prefix=" + self.config.PREFIX.msys(),
                                    "--disable-scrollkeeper" ], "gtk-doc-1.11")
    make ([ "make" ], "gtk-doc-1.11")

  def dist_image (self):
    self.dist_image_with_make_install ("gtk-doc-1.11")

  def install (self):
    self.install_with_dist_image()

import packages.devel.gnomedocutils
import packages.devel.docbookdtd
import packages.devel.docbookxslstylesheets

deps = (packages.devel.gnomedocutils.packages()
     +  packages.devel.docbookdtd.packages()
     +  packages.devel.docbookxslstylesheets.packages())

def packages():
  return deps + [ GtkDoc() ]
