from package import Package
from buildutils import download_and_check, configure, make
import utils;

class IntlTool (Package):
  def full_name (self):
    return "intltool-0.40.6"

  def download (self):
    download_and_check ("http://ftp.gnome.org/pub/GNOME/sources/intltool/0.40/intltool-0.40.6.tar.bz2",
                        "69bc0353323112f42ad4f9cf351bc3e5")

  def extract (self):
    self.clear_and_unpack ("intltool-0.40.6.tar.bz2", "intltool-0.40.6")

  def patch (self):
    print "patch"

  def compile (self):
    configure ([ "sh", "configure", "--prefix=" + self.config.PREFIX.msys()], "intltool-0.40.6")
    make ([ "make" ], "intltool-0.40.6")

  def dist_image (self):
    self.dist_image_with_make_install ("intltool-0.40.6")
           
  def install (self):
    self.install_with_dist_image()

import packages.devel.perl

deps = packages.devel.perl.packages()

def packages():
  return deps + [ IntlTool() ]
