from buildutils import download_and_check, make, configure, apply_patch;
from package import Package;

import utils;

class LibFontConfig (Package):
  def full_name (self):
    return "fontconfig-2.6.0"

  def download (self):
    download_and_check ("http://fontconfig.org/release/fontconfig-2.6.0.tar.gz",
                        "ab54ec1d4ddd836313fdbc0cd5299d6d")

  def extract (self):
    self.clear_and_unpack ("fontconfig-2.6.0.tar.gz", "fontconfig-2.6.0")

  def patch (self):
    apply_patch ("fontconfig-2.6.0.diff", "fontconfig-2.6.0", 1)

  def compile (self):
    configure ([ "sh", "autoconf" ], "fontconfig-2.6.0")
    configure ([ "sh", "aclocal" ], "fontconfig-2.6.0")
    configure ([ "sh", "automake" ], "fontconfig-2.6.0")
    if self.config.ENABLE_DEBUG:
      flags=""" CFLAGS="-g -O2 -Wall" """
    else:
      flags=""" CFLAGS="-O2 -Wall" """
    configure ([ "sh", "-c", flags + "./configure --prefix=" + self.config.PREFIX.msys() ],
               "fontconfig-2.6.0")
    make ([ "make" ], "fontconfig-2.6.0")

  def dist_image (self):
    self.dist_image_with_make_install ("fontconfig-2.6.0")

  def install (self):
    self.install_with_dist_image()

import packages.devel.libtool

deps = packages.devel.libtool.packages()

def packages():
  return deps + [ LibFontConfig() ]
