from buildutils import download_and_check, make, configure, apply_patch;
from package import Package;

import utils;

class LibAO (Package):
  def full_name (self):
    return "libao-0.8.8"

  def download (self):
    download_and_check ("http://downloads.xiph.org/releases/ao/libao-0.8.8.tar.gz",
                        "b92cba3cbcf1ee9bc221118a85d23dcd")

  def extract (self):
    self.clear_and_unpack ("libao-0.8.8.tar.gz", "libao-0.8.8")

  def patch (self):
    pass

  def compile (self):
    configure ([ "sh", "configure", "--prefix=" + self.config.PREFIX.unix() ], "libao-0.8.8")
    make ([ "make" ], "libao-0.8.8")

  def install (self):
    make ([ "make", "install" ], "libao-0.8.8")

def packages():
  return [ LibAO() ]
