from buildutils import download_and_check, make, configure, apply_patch;
from package import Package;

import utils;

class LibXml2 (Package):
  def full_name (self):
    return "libxml2-2.6.30"

  def download (self):
    download_and_check ("http://ftp.gnome.org/pub/GNOME/sources/libxml2/2.6/libxml2-2.6.30.tar.bz2",
                        "cbc6d381daaa836b90a7ab449c1bc1ae")

  def extract (self):
    self.clear_and_unpack ("libxml2-2.6.30.tar.bz2", "libxml2-2.6.30")

  def patch (self):
    pass

  def compile (self):
    if self.config.ENABLE_DEBUG:
      flags=""" CFLAGS="-g -O2 -Wall" """
    else:
      flags=""" CFLAGS="-O2 -Wall" """
    configure ([ "sh", "-c", flags + " ./configure --prefix=" + self.config.PREFIX.msys() ],
               "libxml2-2.6.30")
    make ([ "make" ], "libxml2-2.6.30")

  def dist_image (self):
    self.dist_image_with_make_install ("libxml2-2.6.30")

  def install (self):
    self.install_with_dist_image()

def packages():
  return [ LibXml2() ]
