from buildutils import download_and_check, make, configure, apply_patch;
from package import Package;
from Path import Path;

import utils;

class PortAudio (Package):
  def full_name (self):
    return "portaudio-v19-snapshot"

  def download (self):
    download_and_check ("http://space.twc.de/~stefan/download/pa-20090522-snapshot.tgz",
                        "aecb3df767f2c25e41c7e45230815673")

  def extract (self):
    self.clear_and_unpack ("pa-20090522-snapshot.tgz", "portaudio")

  def patch (self):
    pass #apply_patch ("openssl-0.9.8k.diff", "openssl-0.9.8k", 1)

  def compile (self):
    if self.config.ENABLE_DEBUG:
      flags=""" CFLAGS="-g -O2 -Wall" """
    else:
      flags=""" CFLAGS="-O2 -Wall" """
    configure ([ "sh", "-c", flags + "./configure "+ 
                 "--prefix=" + self.config.PREFIX.msys() ], "portaudio")
    make ([ "make" ], "portaudio")

  def dist_image (self):
    self.dist_image_with_make_install ("portaudio")
           
  def install (self):
    self.install_with_dist_image()
    

def packages():
  return [ PortAudio() ]
